
Infrastructure - Bug #8821

Object doi:10.18739/A2610VR7Z fails to index on CN

2019-06-18 22:43 - Bryce Mecum

Status: New Start date: 2019-06-18

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

I noticed https://search.dataone.org/cn/v2/meta/doi:10.18739/A2610VR7Z isn't present in the search index and asked about it on

DataONEOrg #ci Slack channel. Chris noted that no no task was in the index queue for the PID. He tried to force a reindex which

failed. He couldn't find a log entry indicating why it failed so someone needs to look into what's going on. It occurs to me that

whatever bug is affecting this Object may have affected more Objects so a second part of fixing this bug should probably be doing

some housekeeping or an audit of some kind to make sure the search index isn't missing more content.

History

#1 - 2019-06-18 22:43 - Bryce Mecum

- Assignee set to Jing Tao

#2 - 2019-06-18 22:44 - Bryce Mecum

From Chris:

It definitely was submitted to the queue and processed, but for some reason the status was set to FAILED

#3 - 2019-06-19 00:06 - Jing Tao

Somehow the Hazelcast objectPath map didn't have its information. I wrote a piece of java code to put the information for this object into the

objectPath map. Then reindexed it again. It worked.

https://cn.dataone.org/cn/v2/query/solr/?q=id:%22doi:10.18739/A2610VR7Z%22

We need to figure out why it was missed from the map.
